<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:16 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>org.gradle.model (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../javadoc.css" title="Style">
</head>
<body>
<h1 class="bar"><a href="../../../org/gradle/model/package-summary.html" target="classFrame">org.gradle.model</a></h1>
<div class="indexContainer">
<h2 title="Interfaces">Interfaces</h2>
<ul title="Interfaces">
<li><a href="ModelElement.html" title="interface in org.gradle.model" target="classFrame"><i>ModelElement</i></a></li>
<li><a href="ModelMap.html" title="interface in org.gradle.model" target="classFrame"><i>ModelMap</i></a></li>
<li><a href="ModelSet.html" title="interface in org.gradle.model" target="classFrame"><i>ModelSet</i></a></li>
</ul>
<h2 title="Classes">Classes</h2>
<ul title="Classes">
<li><a href="RuleSource.html" title="class in org.gradle.model" target="classFrame">RuleSource</a></li>
</ul>
<h2 title="Exceptions">Exceptions</h2>
<ul title="Exceptions">
<li><a href="ConfigurationCycleException.html" title="class in org.gradle.model" target="classFrame">ConfigurationCycleException</a></li>
<li><a href="InvalidModelRuleDeclarationException.html" title="class in org.gradle.model" target="classFrame">InvalidModelRuleDeclarationException</a></li>
<li><a href="InvalidModelRuleException.html" title="class in org.gradle.model" target="classFrame">InvalidModelRuleException</a></li>
<li><a href="ModelRuleBindingException.html" title="class in org.gradle.model" target="classFrame">ModelRuleBindingException</a></li>
<li><a href="ModelViewClosedException.html" title="class in org.gradle.model" target="classFrame">ModelViewClosedException</a></li>
<li><a href="ReadOnlyModelViewException.html" title="class in org.gradle.model" target="classFrame">ReadOnlyModelViewException</a></li>
<li><a href="WriteOnlyModelViewException.html" title="class in org.gradle.model" target="classFrame">WriteOnlyModelViewException</a></li>
</ul>
<h2 title="Annotation Types">Annotation Types</h2>
<ul title="Annotation Types">
<li><a href="Defaults.html" title="annotation in org.gradle.model" target="classFrame">Defaults</a></li>
<li><a href="Each.html" title="annotation in org.gradle.model" target="classFrame">Each</a></li>
<li><a href="Finalize.html" title="annotation in org.gradle.model" target="classFrame">Finalize</a></li>
<li><a href="Managed.html" title="annotation in org.gradle.model" target="classFrame">Managed</a></li>
<li><a href="Model.html" title="annotation in org.gradle.model" target="classFrame">Model</a></li>
<li><a href="Mutate.html" title="annotation in org.gradle.model" target="classFrame">Mutate</a></li>
<li><a href="Path.html" title="annotation in org.gradle.model" target="classFrame">Path</a></li>
<li><a href="RuleInput.html" title="annotation in org.gradle.model" target="classFrame">RuleInput</a></li>
<li><a href="Rules.html" title="annotation in org.gradle.model" target="classFrame">Rules</a></li>
<li><a href="RuleTarget.html" title="annotation in org.gradle.model" target="classFrame">RuleTarget</a></li>
<li><a href="Unmanaged.html" title="annotation in org.gradle.model" target="classFrame">Unmanaged</a></li>
<li><a href="Validate.html" title="annotation in org.gradle.model" target="classFrame">Validate</a></li>
</ul>
</div>
</body>
</html>
